package ej_arbol_expresion;

/**
 * Clase que representa un operando variable
 */
public class Variable extends Operando
{
    // nombre de la variable
    protected String nombre;

    /**
     * Constructor al que se le pasa el 
     * nombre de la variable y su valor inicial
     */
    public Variable(String nombre, double valorInicial)
    {
        this.valor = valorInicial;
        this.nombre=nombre;
    }
  
    /**
     * Cambia el valor de la variable
     */
    public void cambiaValor(double nuevoValor) {
        valor=nuevoValor;   
    }
    
    /**
     * toString
     */
    @Override
    public String toString() {
        return nombre;   
    }
}
